const auctionFilter = {
  limit: 10,
  minAskFrom: 5000,
  vehicleSearchQuery: { hasDamages: false, ezFrom: '01/2006' }
};

/**
 * contains public available urls
 * @type {{
 *   auctions: string
 *  }}
 */
export const PUBLIC_URLS = {
  // auction
  auctions: `https://api-core.caronsale.de/api/v1/public/auction/preview?filter=${JSON.stringify(auctionFilter)}`
};
