import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickSocialMedia } from '../util/gtm/tags-collection';

const userClickedSocialMediaFacebookIcon = () => {
  $('div.c-footer_wrapper-socials > div > a:nth-child(1)').click(function () {
    pushTagToGTM({ ...userClickSocialMedia, label: 'Facebook' });
  });
};
const userClickedSocialMediaLinkedinIcon = () => {
  $('div.c-footer_wrapper-socials > div > a:nth-child(2)').click(function () {
    pushTagToGTM({ ...userClickSocialMedia, label: 'Linkedin' });
  });
};
const userClickedSocialMediaInstagramIcon = () => {
  $('div.c-footer_wrapper-socials > div > a:nth-child(3)').click(function () {
    pushTagToGTM({ ...userClickSocialMedia, label: 'Instagram' });
  });
};

const userClickedSocialMediaXingIcon = () => {
  $('div.c-footer_wrapper-socials > div > a:nth-child(4)').click(function () {
    pushTagToGTM({ ...userClickSocialMedia, label: 'Xing' });
  });
};

/**
 * social media icons custom events:w
 * @returns {function(): {init: function(): void}}
 */
export const socialMedia = (() => ({
  init: function () {
    userClickedSocialMediaFacebookIcon();
    userClickedSocialMediaLinkedinIcon();
    userClickedSocialMediaInstagramIcon();
    userClickedSocialMediaXingIcon();
  }
}))();
